<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BallotingPreConditionFile extends Model
{
    //
    public function detail()
    {

         
        return $this->hasMany('\App\BallotingPreConditionFileDetail','balloting_pre_cond_file_id','id');
    }
    public function projects()
    {
        return $this->belongsToMany(MultiProject::class, 'preconditionfile_with_multiproject', 'balloting_precondition_file_id','multi_project_id');
    }
}
